package de.heatup.mapengine;

public class MapGridCell {
	
	private boolean isPath = false;
	
	private boolean isTrigger = false;
	
	private char correspondingHardwareToTrigger;
	
	public char getCorrespondingHardwareToTrigger() {
		return correspondingHardwareToTrigger;
	}
	
	protected void setCorrespondingHardwareToTrigger(char correspondingHardwareToTrigger) {
		this.correspondingHardwareToTrigger = correspondingHardwareToTrigger;
	}
	
	public boolean isPath() {
		return isPath;
	}
	
	protected void setPath(boolean isPath) {
		this.isPath = isPath;
	}
	
	public boolean isTrigger() {
		return isTrigger;
	}
	
	protected void setTrigger(boolean isTrigger) {
		this.isTrigger = isTrigger;
	}
}
